/****************************************************************************
 * Popup Wrapper
 ****************************************************************************/
 .popup_wrapper {
    background-color: rgba(0,0, 0,0.5 );
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 2999;
    padding: 5rem 0;
    height: auto; overflow-x: auto;
    pointer-events: all;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap;
    -webkit-box-pack:center;
    -webkit-justify-content:center;
    -ms-flex-pack:center;
    justify-content:center;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center; 
}

.popup {
    position: relative;
    -webkit-box-flex: 0;
    -webkit-flex: 0 0 90%;
    -ms-flex: 0 0 90%;
    flex: 0 0 90%;
    max-width: 100%; 
    pointer-events: all;
    background-color: #ffffff;
    z-index: 1000;
    padding: 2rem 3rem;
    max-width: 40rem;
}


.popup p {
    margin: 0;
    font-size: 1.5rem;
	font-weight:400;
}
.popup p a {
	font-weight:400 !important;
}

.popup_wrapper.hide{
    display: none;
}

.popup .close {
    cursor: pointer;
    position: absolute;
    top: 1rem;
    right: 1rem;
    height: 2rem;
    width: 2rem;
    font-size: 2rem;
}
.popup .close i {pointer-events:none;}

.popup .close:after,
.popup .close:before {
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    top: 50%;
    left: 50%;
    background-color: #000000;
    -webkit-transform: translate(-50%,-50%) rotate(45deg);
    -moz-transform: translate(-50%,-50%) rotate(45deg);
    -ms-transform: translate(-50%,-50%) rotate(45deg);
    -o-transform: translate(-50%,-50%) rotate(45deg);
    transform: translate(-50%,-50%) rotate(45deg);
}

.popup .close:before {
    -webkit-transform: translate(-50%,-50%) rotate(-45deg);
    -moz-transform: translate(-50%,-50%) rotate(-45deg);
    -ms-transform: translate(-50%,-50%) rotate(-45deg);
    -o-transform: translate(-50%,-50%) rotate(-45deg);
    transform: translate(-50%,-50%) rotate(-45deg);
}



/****************************************************************************
* Popup Wrapper
****************************************************************************/
.typo_popup_wrapper .popup {
	padding: 0;
}
.typo_popup_wrapper .popup .warning_wrapper {
	background-color: #ffc334;
	padding: 2rem 3rem;
}
.typo_popup_wrapper .popup .info_wrapper {
	padding: 2rem 3rem;
}